A weekly recap of pertinent security events you need to be aware of and can read in 7 seconds (or so...)

Using Dell EMC Networking X-series Devices?

Do this: Update your firmware to 3.0.1.8 or later.
Why: Older versions of the firmware support weak encryption algorithms that may allow a remote unauthenticated attacker to recover certain user credentials.
Additional Info: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-21507


About the Author

Matt Barnett, CISSP, GFCA
Chief Strategist & Cofounder

After years in IT, performing network and system administration, software development, and architecting cloud migrations, Matt began to focus his efforts in cybersecurity. Matt draws on his technical competency and law enforcement background to assist clients, in both proactive and incident response capacities. In addition, Matt has developed an arsenal of applications, strategies, policies, and procedures to assist clients in achieving better cybersecurity.